QGIS Application - Bug report #407
OS X dialogs don't display current color selection
2006-11-27 10:08 PM - Gary Sherman

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: GUI

Affected QGIS version: Regression?: No
Operating System: OS X Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10466
Description

Dialogs that should display a color selection on a button (eg. vector properties fill and outline color, project properties background color,
selection color) don't. The buttons are displayed with no color. This worked prior to the recent round of commits.

History

#1 - 2006-12-10 05:26 PM - Gary Sherman

From Tom:

I think the fix is to create a color button subclass. The Mac OS appears to be enforcing Ul uniformity by requiring that the button appearance be controlled
by an overall theme.

Setting the background for QToolButton has never worked in Qt4/Mac. Most QGIS color selectors were previously color labels next to uncolored
QPushButtons. These were recently converted for Windows to single QToolButtons.

Qt Designer has a color button for the QPalette object which works like ours should. Trolltech created a QToolButton subclass with a custom paintEvent
method to draw it so this is probably the way to do it.

#2 - 2006-12-13 09:16 PM - Gary Sherman
- Resolution set to fixed

- Status changed from Open to Closed

Fixed at commit:1907fd64 (SVN r6252) (thanks Tom)

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
